/ api / name / gb_static_property_self
GB_STATIC_PROPERTY_SELF
Syntax

    #define GB_STATIC_PROPERTY_SELF ( symbol , type , proc ) ...

Declares a static property symbol that returns the object it applies to.

- symbol is the name of the property.
- type is the string representation of the property type.
- proc is the address of the function that implements the property.

### See also

Class Description Method & Property Signatures